/*
  ui/guess_input.js
  fffadedev
  08/23/25

  Manages the input field for writing your guesses
 */

class GuessInput
{
  constructor() {
    this.el = document.getElementById('guess-input');
  }

  reset() {
    this.el.innerHTML = '_ _ _ _ _';
  }

  update(word) {
    this.el.innerHTML = word.join(' ');
  }

  hide() {
    this.el.style.display = 'none';
  }

  show() {
    this.el.style.display = 'flex';
  }
}
